
Redmine - Patch #7086

Few fixes for subversion

2010-12-09 11:11 - Dmitry Salashnik

Status: New Start date: 2010-12-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Description

not works when svn server use self signed certificate

No read access file breaks file listing when browsing repository

fetch not all changesets

Related issues:

Related to Redmine - Defect #18754: empty svn logentry crashes revision batch... New

History

#1 - 2010-12-10 02:40 - Mischa The Evil

- Category set to SCM

#2 - 2010-12-15 23:13 - Jean-Baptiste Barth

I understand the last two modifications of the file, but not the first two ones. Can you explain a bit your patch and, if possible, provide some unit tests

with it (not for the certificate part, but the things you mention may be testable).

#3 - 2010-12-16 13:50 - Dmitry Salashnik

1. Skip directory ANY ITEM if there is no commit date (usually that that we don't have read access to it).

In my reposity exists not readable files for redmine. without this patch directory listing breaks on this file

                 # Skip directory if there is no commit date (usually that

                 # means that we don't have read access to it)

-                next if entry['kind'] == 'dir' && commit_date.nil?

+#                next if entry['kind'] == 'dir' && commit_date.nil?

+                next if commit_date.nil?

2. I don't know why, but sometimes logentry['msg'] = nil and redmine crashes on this revision and it not appears into redmine's revisions listing :(

-                              :message => logentry['msg']['__content__'],

+                              :message => (logentry['msg'] ? logentry['msg']['__content__'] : ""),

3. Simply debugging code, i want know what happens when crashed :)

-            rescue

+              rescue Exception => e

+                logger.error "ERROR: #{ e.message}" 

4. Allow working with self-signed cert

-          str << " --no-auth-cache --non-interactive" 

+          str << " --no-auth-cache --non-interactive --trust-server-cert" 

#4 - 2010-12-19 14:26 - Dmitry Salashnik
Jean-Baptiste Barth wrote:

if possible, provide some unit tests with it (not for the certificate part, but the things you mention may be testable).

 I'm sorry, but i'm too newbie in ruby :(

#5 - 2018-01-31 16:48 - Toshi MARUYAMA

- Related to Defect #18754: empty svn logentry crashes revision batch reading added

Files

subversion_adapter.diff 1.9 KB 2010-12-09 Dmitry Salashnik
